Package org.apache.qpid.proton.codec

# Interface UnsignedLongType.UnsignedLongEncoding

All Superinterfaces:
  `PrimitiveTypeEncoding<UnsignedLong>`, `TypeConstructor<UnsignedLong>`, `TypeEncoding<UnsignedLong>`

Enclosing class:
  `UnsignedLongType`

public static interface UnsignedLongType.UnsignedLongEncoding extends PrimitiveTypeEncoding<UnsignedLong>

## Method Summary

### Methods inherited from interface org.apache.qpid.proton.codec.PrimitiveTypeEncoding

`getConstructorSize, getEncodingCode, getType, writeConstructor`

### Methods inherited from interface org.apache.qpid.proton.codec.TypeConstructor

`encodesJavaPrimitive, getTypeClass, readValue, skipValue`

### Methods inherited from interface org.apache.qpid.proton.codec.TypeEncoding

`encodesJavaPrimitive, encodesSuperset, getValueSize, isFixedSizeVal, writeValue`